javax.faces.context

## Class PartialViewContextWrapper

- java.lang.Object
- - javax.faces.context.PartialViewContext
  - - javax.faces.context.PartialViewContextWrapper

- All Implemented Interfaces:
    FacesWrapper<PartialViewContext>

      public abstract class PartialViewContextWrapper
      extends PartialViewContext
      implements FacesWrapper<PartialViewContext>

  Provides a simple implementation of `PartialViewContext` that can be subclassed by developers wishing to provide specialized behavior to an existing `PartialViewContext` instance. The default implementation of all methods is to call through to the wrapped `ExternalContext` instance.

  Usage: extend this class and override `getWrapped()` to return the instance being wrapping.

  Since:
    2.0

- - ### Field Summary

    - ### Fields inherited from class javax.faces.context.PartialViewContext

      `ALL_PARTIAL_PHASE_CLIENT_IDS, PARTIAL_EXECUTE_PARAM_NAME, PARTIAL_RENDER_PARAM_NAME, RESET_VALUES_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartialViewContextWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getExecuteIds()` The default behavior of this method is to call `PartialViewContext.getExecuteIds()` on the wrapped `PartialViewContext` object.
    `PartialResponseWriter` | `getPartialResponseWriter()` The default behavior of this method is to call `PartialViewContext.getPartialResponseWriter()` on the wrapped `PartialViewContext` object.
    `Collection<String>` | `getRenderIds()` The default behavior of this method is to call `PartialViewContext.getRenderIds()` on the wrapped `PartialViewContext` object.
    `abstract PartialViewContext` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
    `boolean` | `isAjaxRequest()` The default behavior of this method is to call `PartialViewContext.isAjaxRequest()` on the wrapped `PartialViewContext` object.
    `boolean` | `isExecuteAll()` The default behavior of this method is to call `PartialViewContext.isExecuteAll()` on the wrapped `PartialViewContext` object.
    `boolean` | `isPartialRequest()` The default behavior of this method is to call `PartialViewContext.isPartialRequest()` on the wrapped `PartialViewContext` object.
    `boolean` | `isRenderAll()` The default behavior of this method is to call `PartialViewContext.isRenderAll()` on the wrapped `PartialViewContext` object.
    `boolean` | `isResetValues()` The default behavior of this method is to call `PartialViewContext.isResetValues()` on the wrapped `PartialViewContext` object.
    `void` | `processPartial(PhaseId phaseId)` The default behavior of this method is to call `PartialViewContext.processPartial(PhaseId)` on the wrapped `PartialViewContext` object.
    `void` | `release()` The default behavior of this method is to call `PartialViewContext.release()` on the wrapped `PartialViewContext` object.
    `void` | `setPartialRequest(boolean isPartialRequest)` The default behavior of this method is to call `PartialViewContext.setPartialRequest(boolean)` on the wrapped `PartialViewContext` object.
    `void` | `setRenderAll(boolean renderAll)` The default behavior of this method is to call `PartialViewContext.setRenderAll(boolean)` on the wrapped `PartialViewContext` object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartialViewContextWrapper

          public PartialViewContextWrapper()

  - ### Method Detail

    - #### getWrapped

          public abstract PartialViewContext getWrapped()

      Description copied from interface: `FacesWrapper`

      A class that implements this interface uses this method to return an instance of the class being wrapped.

      Specified by:
        `getWrapped` in interface `FacesWrapper<PartialViewContext>`
      Returns:
        the wrapped `PartialViewContext` instance
      See Also:
        `FacesWrapper.getWrapped()`

    - #### getExecuteIds

          public Collection<String> getExecuteIds()

      The default behavior of this method is to call `PartialViewContext.getExecuteIds()` on the wrapped `PartialViewContext` object.

      Specified by:
        `getExecuteIds` in class `PartialViewContext`
      See Also:
        `PartialViewContext.getExecuteIds()`

    - #### getRenderIds

          public Collection<String> getRenderIds()

      The default behavior of this method is to call `PartialViewContext.getRenderIds()` on the wrapped `PartialViewContext` object.

      Specified by:
        `getRenderIds` in class `PartialViewContext`
      See Also:
        `PartialViewContext.getRenderIds()`

    - #### getPartialResponseWriter

          public PartialResponseWriter getPartialResponseWriter()

      The default behavior of this method is to call `PartialViewContext.getPartialResponseWriter()` on the wrapped `PartialViewContext` object.

      Specified by:
        `getPartialResponseWriter` in class `PartialViewContext`
      See Also:
        `PartialViewContext.getPartialResponseWriter()`

    - #### setPartialRequest

          public void setPartialRequest(boolean isPartialRequest)

      The default behavior of this method is to call `PartialViewContext.setPartialRequest(boolean)` on the wrapped `PartialViewContext` object.

      Specified by:
        `setPartialRequest` in class `PartialViewContext`
      Parameters:
        `isPartialRequest` - the value `true` indicates this is a partial request.
      See Also:
        `PartialViewContext.setPartialRequest(boolean)`

    - #### isAjaxRequest

          public boolean isAjaxRequest()

      The default behavior of this method is to call `PartialViewContext.isAjaxRequest()` on the wrapped `PartialViewContext` object.

      Specified by:
        `isAjaxRequest` in class `PartialViewContext`
      See Also:
        `PartialViewContext.isAjaxRequest()`

    - #### isPartialRequest

          public boolean isPartialRequest()

      The default behavior of this method is to call `PartialViewContext.isPartialRequest()` on the wrapped `PartialViewContext` object.

      Specified by:
        `isPartialRequest` in class `PartialViewContext`
      See Also:
        `PartialViewContext.isPartialRequest()`

    - #### isExecuteAll

          public boolean isExecuteAll()

      The default behavior of this method is to call `PartialViewContext.isExecuteAll()` on the wrapped `PartialViewContext` object.

      Specified by:
        `isExecuteAll` in class `PartialViewContext`
      See Also:
        `PartialViewContext.isExecuteAll()`

    - #### isRenderAll

          public boolean isRenderAll()

      The default behavior of this method is to call `PartialViewContext.isRenderAll()` on the wrapped `PartialViewContext` object.

      Specified by:
        `isRenderAll` in class `PartialViewContext`
      See Also:
        `PartialViewContext.isRenderAll()`

    - #### isResetValues

          public boolean isResetValues()

      The default behavior of this method is to call `PartialViewContext.isResetValues()` on the wrapped `PartialViewContext` object.

      Overrides:
        `isResetValues` in class `PartialViewContext`
      See Also:
        `PartialViewContext.isResetValues()`

    - #### setRenderAll

          public void setRenderAll(boolean renderAll)

      The default behavior of this method is to call `PartialViewContext.setRenderAll(boolean)` on the wrapped `PartialViewContext` object.

      Specified by:
        `setRenderAll` in class `PartialViewContext`
      Parameters:
        `renderAll` - the value `true` indicates the entire view must be rendered.
      See Also:
        `PartialViewContext.setRenderAll(boolean)`

    - #### release

          public void release()

      The default behavior of this method is to call `PartialViewContext.release()` on the wrapped `PartialViewContext` object.

      Specified by:
        `release` in class `PartialViewContext`
      See Also:
        `PartialViewContext.release()`

    - #### processPartial

          public void processPartial(PhaseId phaseId)

      The default behavior of this method is to call `PartialViewContext.processPartial(PhaseId)` on the wrapped `PartialViewContext` object.

      Specified by:
        `processPartial` in class `PartialViewContext`
      Parameters:
        `phaseId` - the `PhaseId` that indicates the lifecycle phase the components will be processed in.
      See Also:
        `PartialViewContext.processPartial(PhaseId)`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.